    ﻿import { Zondy } from '../../../base'
    import CTheme from './CTheme'
    import { defaultValue } from '../../../util'

    /**
     * 点密度专题图
     * @class module:专题图服务.CDotDensityTheme
     * @classdesc 点密度专题图
     * @description Zondy.Object.Theme.CDotDensityTheme
     * @extends CTheme
     * @param {Object} options 属性键值对。
     * @param {String} [options.Expression = ] 字段表达式
     * @param {Zondy.Object.Theme.CPntInfo} [options.Info = null] 点图形信息 {@link Zondy.Object.Theme.CPntInfo}
     * @param {Number} [options.Value = null] 专题图中每一个点所代表的数值
     */
    class CDotDensityTheme extends CTheme {
      constructor(options) {
        options = defaultValue(options, {})
        super(options)
        /**
         * @private
         * @member Zondy.Object.Theme.CDotDensityTheme.prototype.Expression
         * @type {String}
         * @description 字段表达式
         * @default ''
         */
        this.Expression = options.Expression !== undefined ? options.Expression : ''

        /**
         * @private
         * @member Zondy.Object.Theme.CDotDensityTheme.prototype.Info
         * @type {Object}
         * @description 点图形信息 {@link Zondy.Object.Theme.CPntInfo}
         * @default null
         */
        this.Info = options.Info !== undefined ? options.Info : null

        /**
         * @private
         * @member Zondy.Object.Theme.CDotDensityTheme.prototype.Value
         * @type {Number}
         * @description 专题图中每一个点所代表的数值
         * @default null
         */
        this.Value = options.Value !== undefined ? options.Value : null

        /**
         * @private
         * @member Zondy.Object.Theme.CDotDensityTheme.prototype.Type
         * @type {String}
         * @description 专题图类型,只读属性
         * @default "CDotDensityTheme"
         */
        this.Type = 'CDotDensityTheme'
      }
    }
    export default CDotDensityTheme
    Zondy.Object.Theme.CDotDensityTheme = CDotDensityTheme